Module
Contents
Index 🔎︎

# Text Functions

This section contains descriptions of the Text functions.

Så här använder du det här kommandot...

Infoga - Funktion - Kategori Text

## ARABISK

Beräknar värdet på ett romerskt tal. Värdeintervallet måste ligga mellan 0 och 3999.

### Syntax

ARABISKA("Text")

text är texten som visar en romersk siffra.

### Exempel

=ARABISK("MXIV") returnerar 1014

=ARABISK("MMII") returnerar 2002

## ASC

Med ASC-funktionen konverteras helbredds till halvbredds ASCII- och katakanatecken. Returnerar en textsträng.

See https://wiki.documentfoundation.org/Calc/Features/JIS_and_ASC_functions for a conversion table.

### Syntax

ASC("Text")

Text är texten som innehåller tecken som ska konverteras.

Se även JIS-funktion.

## BAHTTEXT

Konverterar ett tal till thaitext, inklusive valutanamnen för thai.

### Syntax

BAHTTEXT(Siffra)

Tal är ett valfritt tal. "Baht" läggs till i heltalsdelen och "Satang" läggs till i decimaldelen.

### Exempel

=BAHTTEXT(12.65) returnerar en sträng med thailändska tecken som betyder "Tolv baht och sextiofem satang".

## BAS

Konverterar ett positivt heltal för en angiven bas till text från talsystemet. Siffrorna 0-9 och bokstäverna A-Ö används.

### Syntax

BAS(Tal; Bas; [Minimilängd])

Tal är det positiva heltal som ska omvandlas.

Bas anger basen för nummersystemet. Det kan vara alla positiva heltal mellan 2 och 36.

Minimilängd (valfritt) anger minimilängd för teckensekvensen som skapats. Om texten är kortare än den angivna minimilängden, läggs nollor till vänster om strängen.

### Exempel

=BAS(17;10;4) returnerar 0017 i decimalsystemet.

=BAS(17;2) returnerar 10001 i det binära systemet.

=BAS(255;16;4) returnerar 00FF i hexadecimalsystemet.

## BYT.UT

Ersätter text med ny text.

### Syntax

BYT.UT("Text"; "Söktext"; "Nytext"; Förekomst)

Text är texten vars textsegment ska ändras.

Söktextär det textsegment som ska ersättas (ett antal gånger).

Nytext är texten som ska ersätta textsegmentet.

Förekomst (valfritt) anger vilken förekomst av söktexten som ska ersättas. Om den här parametern saknas ersätts söktexten helt och hållet.

### Exempel

=BYT.UT("123123123";"3";"abc") returnerar 12abc12abc12abc.

=BYT.UT("123123123";"3";"abc";2) returnerar 12312abc123.

## DECIMAL

Omvandlar text med tecken från ett nummersystem till ett positivt heltal i en given bas. Basen måste vara inom intervallen 2 till 36. Blanksteg och tabbar ignoreras. Fältet Text är inte skiftlägeskänsligt.

Om basen är 16 ignoreras ett inledande x eller X eller 0x eller 0X, eller ett avslutande h eller H. Om basen är 2 ignoreras ett avslutande b eller B. Andra tecken som inte hör till talsystemet genererar ett felmeddelande.

### Syntax

DECIMAL("Text"; Bas)

Text är texten som ska konverteras. Om du vill skilja mellan ett hexadecimalt tal, t.ex. A1, och referensen till cell A1 måste du placera numret inom citattecken, t.ex. "A1" eller "ANSIKTE".

Bas anger basen för nummersystemet. Det kan vara alla positiva heltal mellan 2 och 36.

### Exempel

=DECIMAL("17";10) returnerar 17.

=DECIMAL("ANSIKTE";16) returnerar 64206.

=DECIMAL("0101";2) returnerar 5.

## ERSÄTT

Ersätter en del av en textsträng med en annan textsträng. Du kan använda den här funktionen om du vill ersätta både tecken och tal (som automatiskt omvandlas till text). Resultatet av den här funktionen visas alltid som text. Om du tänker utföra fler beräkningar med ett tal som har ersatts med text, måste du konvertera tillbaka det till ett tal med hjälp av funktionen TEXTNUM.

All text som innehåller siffror måste skrivas inom citattecken om du inte vill att texten ska tolkas som ett numeriskt värde och konverteras till text.

### Syntax

ERSÄTT("Text"; Position; Längd; "Nytext")

Text refererar till en textsträng där ersättningen kommer att ske.

Position hänvisar till positionen i texten där ersättningen börjar.

Längd är antalet tecken i Text som ska ersättas.

Nytext hänvisar till den som ersätter Text.

### Exempel

=ERSÄTT("1234567";1;1;"444") returnerar "444234567". Ett tecken i position 1 ersätts av en fullständig Nytext.

## EXAKT

Jämför två textsträngar och returnerar SANT om de är identiska. Funktionen är versalkänslig.

### Syntax

EXAKT("Text1"; "Text2")

Text1 hänvisar till den första texten som ska jämföras.

Text2 är den andra texten som ska jämföras.

### Exempel

=EXAKT("microsystems";"Microsystems") returnerar FALSKT.

## EXTEXT

Returnerar en textsträng från en text. Parametrarna anger startpositionen och antalet tecken.

### Syntax

EXTEXT("Text"; Start; Tal)

Text är texten som innehåller tecken som ska hämtas.

Start är det första tecknets position i texten som du vill ta fram.

Tal anger antalet tecken i textdelen.

### Exempel

=MID("office";2;2) returnerar ff.

## FASTTAL

Returnerar ett tal som text med ett angivet antal decimaler och med eller utan tusentalsavgränsare.

### Syntax

FASTTAL(Tal; Decimaler; Ingatusentalsangränsare)

tal är det tal som ska formateras.

Decimaler är antalet decimaler som ska visas.

Ingatusentalsangränsare (valfritt) anger om tusentalsangränsare ska användas. Om parametern är ett tal som inte är lika med 0, tas inte tusentalsavgränsaren med. Om parametern är lika med 0 eller om den saknas helt och hållet, visas tusentalsavgränsarna för dina aktuella lokala inställningar.

### Exempel

=FASTTAL(1234567.89;3) returnerar 1,234,567.890 som en textsträng.

=FASTTAL(1234567.89;3;1) returnerar 1234567,890 som en textsträng.

## GEMENER

Konverterar alla stora bokstäver (versaler) i en textsträng till små bokstäver (gemener).

### Syntax

GEMENER("Text")

Text hänvisar till texten som ska konverteras.

### Exempel

=GEMENER("Sun";2) returnerar sun.

## HITTA

Returns the position of a string of text within another string.You can also define where to begin the search. The search term can be a number or any string of characters. The search is case-sensitive.

### Syntax

HITTA("Hittatext"; "Text"; Position)

Hittatext hänvisar till texten som eftersöks.

Text är texten där sökningen utförs.

Position (valfritt) är positionen i texten där sökningen ska starta.

### Exempel

=HITTA(76;998877665544) returnerar 6.

## HÖGER

Returnerar det sista tecknet eller tecknen i en text.

### Syntax

HÖGER("Text"; Tal)

Text är den text från vilken högra delen ska bestämma.

Tal (valfritt) är antalet tecken från textens högra sida.

### Exempel

=HÖGER("Sun";2) returnerar Sun.

## INITIAL

Gör om första bokstaven i alla ord i en textsträng till versaler.

### Syntax

INITIAL("Text")

Text hänvisar till texten som ska konverteras.

### Exempel

=INITIAL("open office") returnerar Open Office.

## JIS

Med JIS-funktionen konverteras halvbredds till helbredds ASCII- och katakanatecken. Returnerar en textsträng.

See https://wiki.documentfoundation.org/Calc/Features/JIS_and_ASC_functions for a conversion table.

### Syntax

JIS("Text")

Text är texten som innehåller tecken som ska konverteras.

Se även ASC-funktion.

## KOD

Returnerar en numerisk kod för det första tecknet i en textsträng.

### Syntax

KOD("Text")

Text är den text som ska genomsökas efter koden för det första tecknet.

Koder större än 127 kan vara beroende av systemets teckenmappning (t.ex. iso-8859-1, iso-8859-2, Windows-1252, Windows-1250) och är kanske inte portabla.

### Exempel

=KOD("Hieronymus") returnerar 72, =KOD("hieroglyphic") returnerar 104.

Den här koden är inte ASCII-koden, utan den aktuella kodtabellens kod.

## LEFTB

Returnerar det första tecknet i en DBCS-text.

### Syntax

LEFTB("Text"; Number_bytes)

Text is the text where the initial partial words are to be determined.

Number_bytes (optional) specifies the number of characters you want LEFTB to extract, based on bytes. If this parameter is not defined, one character is returned.

### Exempel

LEFTB("中国";1) returns " " (1 byte is only half a DBCS character and a space character is returned instead).

LEFTB("中国";2) returns "中" (2 bytes constitute one complete DBCS character).

LEFTB("中国";3) returns "中 " (3 bytes constitute one DBCS character and a half; the last character returned is therefore a space character).

LEFTB("中国";4) returns "中国" (4 bytes constitute two complete DBCS characters).

LEFTB("office";3) returns "off" (3 non-DBCS characters each consisting of 1 byte).

## LENB

For double-byte character set (DBCS) languages, returns the number of bytes used to represent the characters in a text string.

### Syntax

LENB("Text")

Text är texten vars längd ska anges.

### Exempel

LENB("中") returns 2 (1 DBCS character consisting of 2 bytes).

LENB("中国") returns 4 (2 DBCS characters each consisting of 2 bytes).

LENB("office") returns 6 (6 non-DBCS characters each consisting of 1 byte).

=LENB("Good Afternoon") returns 14.

=LENB(12345.67) returns 8.

## LÄNGD

Returnerar längden på en sträng inklusive blanksteg.

### Syntax

LÄNGD("Text")

Text är texten vars längd ska anges.

### Exempel

=LÄNGD("God kväll") returnerar 14.

=LÄNGD(12345,67) returnerar 8.

## MIDB

Returnerar en textsträng från en DBCS-text. Parametrarna anger startpositionen och antalet tecken.

### Syntax

MIDB("Text"; Start; Number_bytes)

Text är texten som innehåller tecken som ska hämtas.

Start is the position of the first character in the text to extract.

Number_bytes specifies the number of characters MIDB will return from text, in bytes.

### Exempel

MIDB("中国";1;0) returns "" (0 bytes is always an empty string).

MIDB("中国";1;1) returns " " (1 byte is only half a DBCS character and therefore the result is a space character).

MIDB("中国";1;2) returns "中" (2 bytes constitute one complete DBCS character).

MIDB("中国";1;3) returns "中 " (3 bytes constitute one and a half DBCS character; the last byte results in a space character).

MIDB("中国";1;4) returns "中国" (4 bytes constitute two complete DBCS characters).

MIDB("中国";2;1) returns " " (byte position 2 is not at the beginning of a character in a DBCS string; 1 space character is returned).

MIDB("中国";2;2) returns " " (byte position 2 points to the last half of the first character in the DBCS string; the 2 bytes asked for therefore constitutes the last half of the first character and the first half of the second character in the string; 2 space characters are therefore returned).

MIDB("中国";2;3) returns " 国" (byte position 2 is not at the beginning of a character in a DBCS string; a space character is returned for byte position 2).

MIDB("中国";3;1) returns " " (byte position 3 is at the beginning of a character in a DBCS string, but 1 byte is only half a DBCS character and a space character is therefore returned instead).

MIDB("中国";3;2) returns "国" (byte position 3 is at the beginning of a character in a DBCS string, and 2 bytes constitute one DBCS character).

MIDB("office";2;3) returns "ffi" (byte position 2 is at the beginning of a character in a non-DBCS string, and 3 bytes of a non-DBCS string constitute 3 characters).

## RENSA

Tar bort mellanslag från en sträng, lämnar endast ett mellanslagstecken mellan ord.

### Syntax

RENSA("Text")

Text refererar till text i vilken mellanrum ska tas bort.

### Exempel

=TRIM(" hello world ") returns hello world without leading and trailing spaces and with single space between words.

## REP

Upprepar en teckensträng antal gånger.

### Syntax

REP("Text"; Tal)

Text är texten som ska upprepas.

Tal är antalet upprepningar.

Resultatet får vara högst 255 tecken långt.

### Exempel

=REP("God morgon";2) returnerar God morgonGod morgon.

## RIGHTB

Returns the last character or characters of a text with double bytes characters sets (DBCS).

### Syntax

RIGHTB("Text"; Number_bytes)

Text is the text of which the right part is to be determined.

Number_bytes (optional) specifies the number of characters you want RIGHTB to extract, based on bytes.

### Exempel

RIGHTB("中国";1) returns " " (1 byte is only half a DBCS character and a space character is returned instead).

RIGHTB("中国";2) returns "国" (2 bytes constitute one complete DBCS character).

RIGHTB("中国";3) returns " 国" (3 bytes constitute one half DBCS character and one whole DBCS character; a space is returned for the first half).

RIGHTB("中国";4) returns "中国" (4 bytes constitute two complete DBCS characters).

RIGHTB("office";3) returns "ice" (3 non-DBCS characters each consisting of 1 byte).

## ROMERSK

Konverterar ett tal till romerska siffror. Värdet måste ligga mellan 0 och 3999. Parameterns läge måste vara ett heltal mellan 0 och 4.

### Syntax

ROMERSK(tal; läge)

tal är talet som ska omvandlas till romerska siffror.

Läge (valfritt) anger graden av förenkling. Ju högre värde desto mer förenklas de romerska siffrorna.

### Exempel

=ROMERSK(999) returnerar CMXCIX

=ROMERSK(999;0) returnerar CMXCIX

=ROMERSK(999;1) returnerar LMVLIV

=ROMERSK(999;2) returnerar XMIX

=ROMERSK(999;3) returnerar VMIV

=ROMERSK(999;4) returnerar IM

## SAMMANFOGA

Kombinerar flera textsträngar till en sträng.

### Syntax

SAMMANFOGA("Text1"; ...; "Text30")

Text 1; Text 2; ... representerar upp till 30 textavsnitt som ska kombineras till en sträng.

### Exempel

=SAMMANFOGA("God ";"morgon ";"Fru ";"Dahlström") returnerar: God morgon, fru Dahlström.

## STÄDA

Alla icke utskrivbara tecken tas bort från strängen.

### Syntax

STÄDA("Text")

Text hänvisar till den text du vill ta bort alla tecken som inte går att skriva ut.

## SÖK

Returnerar positionen för ett textsegment i en teckensträng. Du kan ange var sökningen ska börja. Söktexten kan vara ett tal eller en teckenföljd. Sökningen är inte versalkänslig.

Sökningen stöder reguljära uttryck. Du kan till exempel skriva "all.*" om du vill hitta den första förekomsten av "all" följt av vilka tecken som helst. Om du vill söka efter text som också är ett reguljärt uttryck måste du skriva \ före varje tecken. Du kan aktivera och inaktivera den automatiska utvärderingen av reguljära uttryck i LibreOffice – Inställningar Verktyg – Alternativ
– LibreOffice Calc – Beräkna.

### Syntax

SÖK("Hittatext"; "Text"; Position)

Hittatext är texten som ska sökas.

Text är texten där sökningen utförs.

Position (valfritt) är positionen i texten där sökningen ska starta.

### Exempel

=SÖK(54;998877665544) returnerar 10.

## T

Funktionen returnerar måltexten, eller en tom textsträng om målet inte är text.

### Syntax

T(Värde)

Om Värde är en textsträng som hänvisar till en textsträng returnerar T den textsträngen, annars returneras en tom textsträng.

### Exempel

=T(12345) returnerar en tom sträng.

=T("12345") returnerar strängen 12345.

## TECKENKOD

Konverterar ett tal till tecken enligt den aktuella kodtabellen. Talet kan bestå av en eller två siffror.

Koder större än 127 kan vara beroende av systemets teckenmappning (t.ex. iso-8859-1, iso-8859-2, Windows-1252, Windows-1250) och är kanske inte portabla.

### Syntax

TECKENKOD(tal)

Tal är talet mellan 1 och 255 som representerar tecknets kodvärde.

### Exempel

=¨TECKENKOD(100) returnerar tecknet d.

="abc", TECKENKOD(10) och "def" infogar en radmatning i strängen.

## TEXT

Konverterar ett tal till text enligt ett givet format.

### Syntax

TEXT(tal; format)

tal är det siffervärde som ska omvandlas.

Format är den text som definierar formatet. Använd decimaler och tusentalsavgränsare enligt språkinställningarna i cellformatet.

### Exempel

=TEXT(12,34567;"###,##") returnerar texten 12,35

=TEXT(12,34567;"000,00") returnerar texten 012,35

## TEXTNUM

Konverterar en textsträng till ett tal.

### Syntax

VÄRDE("Text")

Text är texten som ska omvandlas till ett nummer.

### Exempel

=VÄRDE("4321") returnerar 4321.

## UNICHAR

Omvandlar ett kodtal till ett Unicode-tecken eller en Unicode-bokstav.

### Syntax

UNICHAR(number)

### Exempel

=UNICHAR(169) returnerar copyrighttecknet (c).

See also the UNICODE() function.

## UNICODE

Returnerar koden för det första Unicode-tecknet i en text.

### Syntax

UNICODE("Text")

### Exempel

=UNICODE("(c)") returnerar Unicode-talet 169 för copyrighttecknet.

See also the UNICHAR() function.

## VALUTA

Omvandlar ett tal till en summa i valutaformatet, avrundat till ett specifikt decimaltal. I fältet Värde anger du talet som ska omvandlas till valuta. Du kan även ange decimaltalet i fältet Decimaler. Om inget värde anges visas alla nummer i valutaformat med två decimaler.

Du anger valutaformatet i systeminställningarna.

### Syntax

DOLLAR(Värde; Decimaler)

Värde är ett nummer, en referens till en cell som innehåller ett nummer eller en formel som returnerar ett nummer.

Decimaler är det valfria numret för decimaler.

### Exempel

=DOLLAR(255) returnerar $255,00.

=DOLLAR(367,456;2) returnerar $367,46. Använd decimaltecken som motsvarar de aktuella lokala inställningarna.

## VERSALER

Konverterar den sträng som anges i fältet text till versaler.

### Syntax

VERSALER("Text")

Text hänvisar till de gemener du vill konvertera till versaler.

### Exempel

=VERSALER("God morgon") returnerar GOD MORGON.

## VÄNSTER

Returnerar det första tecknet eller tecknen i en text.

### Syntax

VÄNSTER("Text"; Tal)

Text är texten där de initiala partiella orden ska anges.

Antal (valfritt) anger antalet tecken för starttexten. Om parametern saknas returneras ett (1) tecken.

### Exempel

=VÄNSTER("utdata";3) returnerar "ut".

Närliggande ämnen

Functions by Category